[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPObjectList.Create

Create a new object list

## Declaration

Source position: line 0

`public constructor TFPObjectList.Create; constructor TFPObjectList.Create(`
`FreeObjects: Boolean`
`);`

## Arguments

`FreeObjects` |  | Should objects be freed when removing them from the list

## Description

Create instantiates a new object list. The FreeObjects parameter determines whether objects that are removed from the list should also be freed from memory. By default this is True. This behaviour can be changed after the list was instantiated.

## Errors

None.

## See also

TFPObjectList.Destroy |  | Clears the list and destroys the list instance
TFPObjectList.OwnsObjects |  | Should the list free elements when they are removed.
TObjectList |  | List to manage object instances.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .